# Class Sound#getSoundMode

Sound

- Defined in: sound.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Sound#getSoundMode(successCallback, errorCallback) Gets sound mode.

## Class Detail

Sound#getSoundMode(successCallback, errorCallback)
Gets sound mode. Each SoundMode has a set of predefined sound properties.

    // Javascript code
    function getSoundMode () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
         console.log("mode : " + cbObject.mode);

         // Do something
            ...
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var sound = new Sound();
      sound.getSoundMode(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  mode | String | Sound.SoundMode

See:
  Sound.setSoundMode()